---
author: François Pelletier
date: 11 octobre 2017
header-includes:
  - \usepackage[T1]{fontenc}
  - \usepackage[french]{babel}
  - \usepackage{datetime}
  - \usepackage{hyperref}
---

# Semaine 6: Journal collectif: La gestion de l'incertain dans les systèmes à base de connaissances

On parle d'incertain:

- Inconsistance
- Incomplétude
- Variabilité

Approches:

- Systèmes probabilistes dérivés du théorème de [Dempster–Shafer](https://fr.wikipedia.org/wiki/Th%C3%A9orie_de_Dempster-Shafer), qui est une généralisation du théorème de Bayes
    - Raisonnement bayesien (réseau bayesien)
    - Facteurs de certitude ou de croyance
- Logique floue
- Logique modale?

Est-ce que ces approches répondent aux mêmes objectifs?

- Logique floue: 
    - Langage naturel
    - On peut tout convertir en logique floue
- Approches probabilistes
    - Approches scientifiques dans la collecte de données

Pourquoi gérer l'incertain ?

- Plusieurs hypothèses possibles
- Au niveau de la règle (force de la règle, mesure de la véracité, facteur de croyance)
    - Condition -(force)-> Conclusion
- Héritage d'un facteur d'incertitude d'une règle appliquée précédemment au niveau des conditions.
- Au niveau de l'utilisateur, les faits ou données du problème peuvent être incomplètes ou erronées
- $CF(fait) \wedge CF(autres hypothèses) \rightarrow CF(conditions)$

Dans la conception:

- Quel niveau de complétude accepter
- Représenter l'incertitude et raisonner avec

Avec les facteurs de croyances, est-il possible de multiplier deux facteurs négatifs pour obtenir un facteur positif.

- Serait en théorie possible (on s'approche de la négation de la négation)
- On ne voudra pas de règles avec un facteur de croyance négative, mais plutôt la règle dérivée avec un facteur positif.
- Aucune pertinence à conserver une règle fausse dans un système.
- Dans le négatif, le meilleur des cas est "0"
- $CF(\text{conditions}) \times CF(\text{force de la règle}) = CF(\text{Hypothèse})$

Possibilité d'un hybride en utilisant la règle de Bayes, mais avec les facteurs de croyances?

- Pas de notion de vrai ou faux en probabilités. S'applique sur la réalisation d'un évènement
- Probabilité: déterministe ou expérimental
- Facteur de croyance: très peu probable donne un facteur près de zéro.
- Approche Valuation-based qui est une généralisation

On ne peut pas faire de chaînage arrière avec une règle négative.


